KBUILDSYCOCA4(8)

NAME
kbuildsycoca4 - Bygger om systemets inställningscache.

SYNOPSIS

kbuildsycoca4 [--nosignal | --noincremental | --checkstamps | --nocheckfiles | --global | --menutest | --track meny-id | --help | --help-qt | --help-kde | --help-all | --author | -v, --version | --license]

BESKRIVNING

kbuildsycoca4, som en del av KDE:s kommandoradverktyg, försäkrar att KDE fungerar på ett riktigt sätt genom att läsa in alla filerna .desktop, .xml och .protocol för att skapa en binärdatabas.

KDE använder själv databasen när det arbetar, för att tillhandahålla inställningsinformation som program behöver för att köra.

Verktyget är en del av ksycoca4, som betyder KDE System Configuration Cache (KDE systeminställningscache)

VäLJARE

--nosignal
    Signalera inte till program att uppdatera

--noincremental
    Inaktivera deluppdatering, läs in allt igen

--checkstamps
    Kontrollera filtidsstämplar

--nocheckfiles
    Inaktivera kontroll av filer (farligt)

--global
    Skapa global databas

--menutest
    Skapa bara menyer på prov

--track meny-id
    Spåra menyidentifikation i felsökningssyfte

--help
    Visa hjälp om väljare

--help-qt
    Visa Qt-specifika väljare

--help-kde
    Visa KDE-specifika väljare

--help-all
    Visa alla väljare

--author
    Visa information om upphovsman

-v , --version
    Visa versionsinformation

--license
    Visa licensinformation

ANVäNDNING

Ett standardsätt att köra programmet är att helt enkelt ange följande kommando vid promptern: kbuildsycoca4

FILER

/var/tmp/kde-$USER/ksycoca4
    Standardkatalogen där cachefilerna lagras.

MILJöVARIABLER

$KDEDIRS
    Anger vilka kataloger som är en del av KDE-installationerna

$KDESYCOCA
    Anger sökvägen till sycoca databasfilen

SE OCKSå

kdeinit4

FEL

Det finns troligen en massa fel. Använd bugs.kde.org: http://bugs.kde.org för att rapportera dem.

AUTHOR
Darian Lanx <content@openprojects.net>.